package com.xintong.visualinspection.dao.master;

import java.util.List;
import java.util.Map;

import org.apache.ibatis.annotations.Mapper;

import com.xintong.visualinspection.bean.CheckItem;

/**
 * 文件名：UserInfoDao
 * 版本信息：日期：2017/3/30 Copyright 江苏省交通规划设计院 Corporation 2017 版权所有.
 */
@Mapper
public interface CheckItemDao  {
    public List<CheckItem> getAll();
    public List<CheckItem> getByParentId(Long id);
    public CheckItem getOne(Long id);
    public void insert(CheckItem checkItem);
    public void update(CheckItem checkItem);
    public void delete(Long id);
    public List<CheckItem> getCheckItemByRuleType(Map<String,String> param);
}
